<div class="page-body">
  <div class="row">
    <!-- Right column start -->
    <div class="col-xl-3 col-lg-12 push-xl-9">
      <!-- Search box card start -->
      <div class="card">
        <div class="card-header">
          <h5 class="card-header-text">Search Box</h5>
        </div>
        <div class="card-body p-t-10">
          <div class="input-group">
            <input type="text" class="form-control" placeholder="Search here..." [(ngModel)]=searchInput>
            <span class="input-group-append ripple light" id="basic-addon1">
              <i *ngIf="filterBySearchBox" (click)="onResetSearchBox()" class="material-icons  pointer">close</i>
            </span>
          </div>
          <div class="task-right">
            <div class="accordion-block scale-accordion">


              <!-- under search -->
              <!-- Nav Filter tab start -->
              <nav class="navbar navbar-light bg-faded m-b-30 p-10">
                <ul class="nav navbar-nav">

                  <li>
                    Sort By
                    <br>

<div class="row">
  <div class="col-8" >
      <mat-form-field >
          <mat-select [(value)]="selectedSortBy">
            <mat-option *ngFor="let sortProp of sortByValues" value={{sortProp}}>{{sortProp}}</mat-option>
          </mat-select>
        </mat-form-field>
  </div>
  <div class="col-4">
      <!-- <button (click)="onSortButton()" class="btn btn-primary btn-icon ripple light" >
          <i [ngStyle]="{ 'color': (sortUp ? 'blue' : 'white')}" class="fas fa-arrow-up arrow-icon"></i>
          <i [ngStyle]="{ 'color': (!sortUp ? 'blue' : 'white')}" class="fas fa-arrow-down arrow-icon"></i>
        </button> -->

        <label class="badge badge-default" (click)="onSortButton()">
            <i [ngStyle]="{ 'color': (sortUp ? 'black' : 'white')}" class="fas fa-arrow-up arrow-icon"></i>
          <i [ngStyle]="{ 'color': (!sortUp ? 'black' : 'white')}" class="fas fa-arrow-down arrow-icon"></i>
        </label>

  </div>
</div>
                  

                   
                    <div *ngIf="filterByAnyFilter">
                        Reset All Filters :
                        <i (click)="onResetAllFilters()" class="material-icons pointer">close</i>
                      </div>


                  </li>
                  <br>

                </ul>


                <!-- end of by priority dropdown -->
              </nav>

              <!-- ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////: -->

              <ngb-accordion #acc="ngbAccordion" activeIds="ngb-open-p1, ngb-open-p2, ngb-open-p3, ngb-open-p4,ngb-open-p5" class="ngb-accordion">

                <ngb-panel id="ngb-open-p1" >

                    <ng-template ngbPanelTitle>
                        Project Name
                         <i *ngIf="filterByProjectName" (click)="onResetProjectName()" class="material-icons pointer close-icon">close</i>
                       </ng-template>
                  <ng-template class="accordion-content" ngbPanelContent>
                    <div class="taskboard-right-progress">
                      <div class="filter-card">
                        <div class="row">
                          <ng-multiselect-dropdown class="multi-search" [placeholder]="'Project Names'" [data]="projectNames" [(ngModel)]="selectedProjectNames"
                            [settings]="dropdownSettings">
                          </ng-multiselect-dropdown>
                        


                        </div>
                      </div>
                    </div>
                  </ng-template>
                </ngb-panel>


                <ngb-panel id="ngb-open-p2">
                    <ng-template ngbPanelTitle>
                        Activity
                         <i *ngIf="filterByActivity" (click)="onResetActivity()" class="material-icons pointer close-icon">close</i>
                       </ng-template>
                  <ng-template class="accordion-content" ngbPanelContent>
                    <div class="taskboard-right-progress">
                      <div class="filter-card">
                        <div class="row">
                          <ng-multiselect-dropdown class="multi-search" [placeholder]="'Activities'" [data]="this.searchProjectsService.activities"
                            [(ngModel)]="selectedActivities" [settings]="dropdownSettings">
                          </ng-multiselect-dropdown>
                         
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </ngb-panel>


                <ngb-panel id="ngb-open-p3" >
                    <ng-template ngbPanelTitle>
                        Status
                         <i *ngIf="filterByStatus" (click)="onResetStatus()" class="material-icons pointer close-icon">close</i>
                       </ng-template>
                  <ng-template class="accordion-content" ngbPanelContent>
                    <div class="taskboard-right-progress">
                      <div class="filter-card">

                        <div class="row">
                          <ng-multiselect-dropdown class="multi-search" [placeholder]="'Status'" [data]="allStatus" [(ngModel)]="selectedStatus"
                            [settings]="dropdownSettings">
                          </ng-multiselect-dropdown>
                        
                        </div>
                      </div>
                    </div>
                  </ng-template>
                </ngb-panel>



                <ngb-panel id="ngb-open-p4" >
                    <ng-template ngbPanelTitle>
                        Start date range
                         <i *ngIf="filterByDateRange" (click)="onResetDateRange()" class="material-icons pointer close-icon">close</i>
                       </ng-template>
                  <ng-template class="accordion-content" ngbPanelContent>
                    <div class="taskboard-right-progress">
                      
                        <app-daterange></app-daterange>
                    
                    </div>
                  </ng-template>
                </ngb-panel>

                
                <ngb-panel id="ngb-open-p5" >
                    <ng-template ngbPanelTitle>
                       End date range
                        <i *ngIf="filterByDateRange2" (click)="onResetDateRange2()" class="material-icons pointer close-icon">close</i>
                      </ng-template>
                   
                  <ng-template class="accordion-content" ngbPanelContent>
                    <div class="taskboard-right-progress">
                     
                        <app-daterange2></app-daterange2>
                     
                    </div>
                  </ng-template>
                </ngb-panel>



                <!-- ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////: -->


                <!-- Nav Filter tab end -->


              </ngb-accordion>
            </div>
            <!-- end of task-right-revision -->
          </div>
          <!-- end of sidebar-right -->
        </div>
        <!-- end of card-body -->
        
      </div>
      <!-- Search box card end -->
    </div>
 
    <!-- Right column end -->
    <!-- Left column start -->
    <div class="col-xl-9 col-lg-12 pull-xl-3 filter-bar">
      <!-- Nav Filter tab start -->
      <nav class="navbar navbar-light bg-faded m-b-30 p-10">

        <div class="nav-item nav-grid col-md-4">
          <span class="m-r-15">View Mode: </span>
          <!-- list view-> -->
          <button (click)="onViewModeList()" type="button" class="btn btn-sm btn-primary waves-light m-r-10 ripple" data-toggle="tooltip"
            data-placement="top" title="list view">
            <i class="icofont icofont-listine-dots"></i>
          </button>
          <!-- grid view-> -->
          <button (click)="onViewModeGrid()" type="button" class="btn btn-sm btn-primary ripple light" data-toggle="tooltip" data-placement="top"
            title="grid view">
            <i class="icofont icofont-table"></i>
          </button>
        </div>

        <!-- Paginator  start -->
        <div class="col-md-8">
          <app-paginator></app-paginator>
        </div>
        <!-- Paginator  end -->


        <!-- end of by priority dropdown -->
      </nav>
      <!-- Nav Filter tab end -->


      <!-- Task board design block start-->

      <div *ngIf="emptyResult">
        <h1>No Result Found</h1>
        <div *ngIf="filterByAnyFilter">
          Reset All Filters :
          <i (click)="onResetAllFilters()" class="material-icons  pointer close-icon">close</i>
        </div>
      </div>

      <div class="row" #toAnimate>


        <div class="col-sm-6" *ngFor="let project of allProjects 
             | stringsearch:searchInput
             | activity:selectedActivities 
             | status:selectedStatus 
             | sort:selectedSortBy:sort 
             | daterange:searchProjectsService.fromDate_startDate:searchProjectsService.toDate_startDate
             | daterange2:searchProjectsService.fromDate_endDate:searchProjectsService.toDate_endDate
             | projectName:selectedProjectNames  
             | paginator:searchProjectsService.pageIndex:searchProjectsService.pageSize ">
          <app-invoice [project]="project" *ngIf=listview></app-invoice>
        </div>



      </div>
      <!-- Task board design block end -->

      <!-- table start -->
      <div #toAnimate2>
        <app-table *ngIf=!listview> </app-table>
      </div>

      <!-- table end -->


    </div>
    <!-- Left column end -->
  </div>

</div>
